org.deidentifier.arx.aggregates.quality

## Class QualityModelRowOrientedSquaredError

- java.lang.Object
- - org.deidentifier.arx.aggregates.quality.QualityModelRowOrientedSquaredError

    public class QualityModelRowOrientedSquaredError
    extends java.lang.Object

Implementation of the Sum of Squared Errors introduced in the supplementary material to:
D. Sanchez, S. Martinez, and J. Domingo-Ferrer. Comment on unique in the shopping mall: On the reidentifiability of credit card metadata. Science, 351(6279):1274-1274, 2016.

Author:
  Fabian Prasser

### Constructor Summary

Constructors
Constructor and Description
`QualityModelRowOrientedSquaredError(WrappedBoolean interrupt, WrappedInteger progress, int totalWorkload, DataHandle input, DataHandle output, int suppressedInput, int suppressedOutput, Groupify<TupleWrapper> groupedInput, Groupify<TupleWrapper> groupedOutput, java.lang.String[][][] hierarchies, QualityDomainShare[] shares, int[] indices, QualityConfiguration config)` Creates a new instance

### Method Summary

All Methods Instance Methods Concrete Methods
`QualityMeasureRowOriented` `evaluate()` Evaluates the utility measure

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### QualityModelRowOrientedSquaredError

    public QualityModelRowOrientedSquaredError(WrappedBoolean interrupt,
                                               WrappedInteger progress,
                                               int totalWorkload,
                                               DataHandle input,
                                               DataHandle output,
                                               int suppressedInput,
                                               int suppressedOutput,
                                               Groupify<TupleWrapper> groupedInput,
                                               Groupify<TupleWrapper> groupedOutput,
                                               java.lang.String[][][] hierarchies,
                                               QualityDomainShare[] shares,
                                               int[] indices,
                                               QualityConfiguration config)

Creates a new instance

Parameters:
  `interrupt` -
  `progress` -
  `totalWorkload` -
  `input` -
  `output` -
  `suppressedInput` -
  `suppressedOutput` -
  `groupedInput` -
  `groupedOutput` -
  `hierarchies` -
  `shares` -
  `indices` -
  `config` -

### Method Detail

#### evaluate

    public QualityMeasureRowOriented evaluate()

Evaluates the utility measure

Returns: